package de.ivu.elect.interfaces.core;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class Wahlhelferbedarf implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * HINT: Muss nur gesetzt werden, wenn es am Wahltermin hängt (also "global" ist)
   */
  @XmlElement(required = false)
  private GlobaleWahlhelferbedarfsArt globaleWahlhelferbedarfsArt;

  @XmlElement(required = true)
  private Long anzahl;

  @XmlElement(required = true)
  private WahlhelferRolle wahlhelferRolle;

  public GlobaleWahlhelferbedarfsArt getGlobaleWahlhelferbedarfsArt() {
    return globaleWahlhelferbedarfsArt;
  }

  public void setGlobaleWahlhelferbedarfsArt(GlobaleWahlhelferbedarfsArt globaleWahlhelferbedarfsArt) {
    this.globaleWahlhelferbedarfsArt = globaleWahlhelferbedarfsArt;
  }

  public Long getAnzahl() {
    return anzahl;
  }

  public void setAnzahl(Long anzahl) {
    this.anzahl = anzahl;
  }

  public WahlhelferRolle getWahlhelferRolle() {
    return wahlhelferRolle;
  }

  public void setWahlhelferRolle(WahlhelferRolle wahlhelferRolle) {
    this.wahlhelferRolle = wahlhelferRolle;
  }
}
